---
title: Examples
slug: apis/smart-search-examples
docTags: 
createdAt: 2022-04-25T06:57:12.000Z
---

:::hint{type="info"}
If you haven't gone through the prerequisites and the v2 structure, please have a look at [Overview](docId\:cZeodl0sKcuv-18IPupLr)&#x20;
:::

## Custom Record Type

In addition to Products, Categories and CMS Pages, Klevu APIv2 allows you to search for custom entities.&#x20;

For example, if you want to display results for recipes, articles or physical stores within your search you can do so by utilising the **typeOfRecords** parameter.

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://{{hostname}}/cs/v2/search",
  "name": "Custom Record type",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "typeOfRecords",
        "type": "Array",
        "description": "Specify the identifier(s) of your custom entity types that you have indexed with Klevu, for example ACME_RECIPE or ACME-STORE."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "3XlvmT855lGkJOht0nPXg",
        "code": "{\n    \"meta\": {\n        \"qTime\": 8,\n        \"responseCode\": 200\n    },\n    \"queryResults\": [\n        {\n            \"id\": \"customeEntitySearch1\",\n            \"meta\": {\n                \"qTime\": 5,\n                \"noOfResults\": 1,\n                \"totalResultsFound\": 2,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"fish\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Recipe: Fish and Chips\",\n                    \"klevu_category\": \"ACME_RECIPE  @ku@kuCategory@ku@\",\n                    \"id\": \"recipe_1\",\n                    \"typeOfRecord\": \"ACME_RECIPE\"\n                }\n            ],\n            \"filters\": []\n        },\n        {\n            \"id\": \"customeEntitySearch2\",\n            \"meta\": {\n                \"qTime\": 7,\n                \"noOfResults\": 1,\n                \"totalResultsFound\": 1,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"london\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Shop: London\",\n                    \"klevu_category\": \"ACME-STORE  @ku@kuCategory@ku@\",\n                    \"id\": \"shop_2\",\n                    \"typeOfRecord\": \"ACME-STORE\"\n                }\n            ],\n            \"filters\": []\n        }\n    ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "3XlvmT855lGkJOht0nPXg"
  },
  "examples": {
    "languages": [
      {
        "id": "jSU7DlYyJ_eUh63YSP682",
        "code": "{\n  \"recordQueries\": [\n    {\n      \"id\": \"customeEntitySearch1\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"fish\"\n        },\n        \"limit\": 1,\n        \"typeOfRecords\": [\n          \"ACME_RECIPE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\",\n            \"typeOfRecord\"\n        ]\n      }\n    },\n    {\n      \"id\": \"customeEntitySearch2\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"london\"\n        },\n        \"limit\": 1,\n        \"typeOfRecords\": [\n          \"ACME-STORE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\",\n            \"typeOfRecord\"\n        ]\n      }\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}",
        "language": "json",
        "customLabel": "Request Body (JSON)"
      },
      {
        "id": "8Yg33Te4JzfoWp5yEbmJh",
        "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'POST',\n  CURLOPT_POSTFIELDS =>'{\n  \"recordQueries\": [\n    {\n      \"id\": \"customeEntitySearch1\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"fish\"\n        },\n        \"limit\": 1,\n        \"typeOfRecords\": [\n          \"ACME_RECIPE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\",\n            \"typeOfRecord\"\n        ]\n      }\n    },\n    {\n      \"id\": \"customeEntitySearch2\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"london\"\n        },\n        \"limit\": 1,\n        \"typeOfRecords\": [\n          \"ACME-STORE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\",\n            \"typeOfRecord\"\n        ]\n      }\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}',\n  CURLOPT_HTTPHEADER => array(\n    'Content-Type: application/json'\n  ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n",
        "language": "php",
        "customLabel": ""
      },
      {
        "id": "WCDgTsSqAXfiwklk2V174",
        "code": "var data = JSON.stringify({\"recordQueries\":[{\"id\":\"customeEntitySearch1\",\"settings\":{\"query\":{\"term\":\"fish\"},\"limit\":1,\"typeOfRecords\":[\"ACME_RECIPE\"],\"fields\":[\"id\",\"name\",\"typeOfRecord\"]}},{\"id\":\"customeEntitySearch2\",\"settings\":{\"query\":{\"term\":\"london\"},\"limit\":1,\"typeOfRecords\":[\"ACME-STORE\"],\"fields\":[\"id\",\"name\",\"typeOfRecord\"]}}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}});\n\nvar xhr = new XMLHttpRequest();\nxhr.withCredentials = false;\n\nxhr.addEventListener(\"readystatechange\", function() {\n  if(this.readyState === 4) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://eucs15v2.ksearchnet.com/cs/v2/search\");\nxhr.setRequestHeader(\"Content-Type\", \"application/json\");\n\nxhr.send(data);",
        "language": "javascript",
        "customLabel": ""
      },
      {
        "id": "nPW0NIJe-j5R9I5W4BGN0",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n  \\\"recordQueries\\\": [\\n    {\\n      \\\"id\\\": \\\"customeEntitySearch1\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"fish\\\"\\n        },\\n        \\\"limit\\\": 1,\\n        \\\"typeOfRecords\\\": [\\n          \\\"ACME_RECIPE\\\"\\n        ],\\n        \\\"fields\\\": [\\n            \\\"id\\\",\\n            \\\"name\\\",\\n            \\\"typeOfRecord\\\"\\n        ]\\n      }\\n    },\\n    {\\n      \\\"id\\\": \\\"customeEntitySearch2\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"london\\\"\\n        },\\n        \\\"limit\\\": 1,\\n        \\\"typeOfRecords\\\": [\\n          \\\"ACME-STORE\\\"\\n        ],\\n        \\\"fields\\\": [\\n            \\\"id\\\",\\n            \\\"name\\\",\\n            \\\"typeOfRecord\\\"\\n        ]\\n      }\\n    }\\n  ],\\n  \\\"context\\\": {\\n    \\\"apiKeys\\\": [\\n      \\\"klevu-156925593843210765\\\"\\n    ]\\n  }\\n}\");\nRequest request = new Request.Builder()\n  .url(\"https://eucs15v2.ksearchnet.com/cs/v2/search\")\n  .method(\"POST\", body)\n  .addHeader(\"Content-Type\", \"application/json\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "language": "java",
        "customLabel": ""
      },
      {
        "id": "0Ih7nieKhHFMl7CRY51j_",
        "code": "var request = require('request');\nvar options = {\n  'method': 'POST',\n  'url': 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  'headers': {\n    'Content-Type': 'application/json'\n  },\n  body: JSON.stringify({\"recordQueries\":[{\"id\":\"customeEntitySearch1\",\"settings\":{\"query\":{\"term\":\"fish\"},\"limit\":1,\"typeOfRecords\":[\"ACME_RECIPE\"],\"fields\":[\"id\",\"name\",\"typeOfRecord\"]}},{\"id\":\"customeEntitySearch2\",\"settings\":{\"query\":{\"term\":\"london\"},\"limit\":1,\"typeOfRecords\":[\"ACME-STORE\"],\"fields\":[\"id\",\"name\",\"typeOfRecord\"]}}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}})\n\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "language": "nodejs",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "WCDgTsSqAXfiwklk2V174"
  },
  "description": "This is an example how to search for custom record type. ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "custom-record-type-1",
  "legacyHash": "HtXP4LSj85Bo7msT-RkvZ"
}
```
:::

### Try it here

:::Iframe{code="<iframe src=&#x22;https://codesandbox.io/embed/klevu-api-sendbox-4ktfrp?fontsize=14&hidenavigation=0&theme=dark&view=preview&initialpath=?payload=customRecordType&#x22;&#xA;     style=&#x22;width:100%; height:550px; border:0; border-radius: 4px; overflow:hidden;&#x22;&#xA;     title=&#x22;klevu_api sendbox&#x22;&#xA;     allow=&#x22;accelerometer; ambient-light-sensor; camera; encrypted-media; geolocation; gyroscope; hid; microphone; midi; payment; usb; vr; xr-spatial-tracking&#x22;&#xA;     sandbox=&#x22;allow-forms allow-modals allow-popups allow-presentation allow-same-origin allow-scripts&#x22;&#xA;     &#xA;   ></iframe>" iframeHeight="550"}

:::

## Multiple Queries

Klevu APIv2 allows you to request multiple Product, Category, CMS Pages and Custom Entity queries all at the same time. All of these queries are usually fired simultaneously, meaning the total time taken is the duration of the slowest query, rather than the total of all queries.

In the example to the right, a single HTTP request is returning:

- 3x search suggestions
- 3x categories
- 5x products with filters
- 3x different products without filters
- 5x cms pages or recipes (a custom entity)
- 1x store (a custom entity)

Furthermore, all of the configuration and preferences found within this documentation can be applied to each and evey query separately, making an extremely powerful and fast way to display search results.

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://{{hostname}}/cs/v2/search",
  "name": "Multiple Queries",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "3XlvmT855lGkJOht0nPXg",
        "code": "{\n    \"meta\": {\n        \"qTime\": 21,\n        \"responseCode\": 200\n    },\n    \"suggestionResults\": [\n        {\n            \"id\": \"suggestionSearch\",\n            \"suggestions\": [\n                {\n                    \"suggest\": \"<b>a</b>tomic\"\n                },\n                {\n                    \"suggest\": \"<b>a</b>tomic endurance\"\n                },\n                {\n                    \"suggest\": \"<b>a</b>tomic endurance running\"\n                }\n            ]\n        }\n    ],\n    \"queryResults\": [\n        {\n            \"id\": \"categorySearch\",\n            \"meta\": {\n                \"qTime\": 8,\n                \"noOfResults\": 3,\n                \"totalResultsFound\": 1,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"a\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Accessories\",\n                    \"id\": \"category_156704342078\"\n                }\n            ],\n            \"filters\": []\n        },\n        {\n            \"id\": \"productSearch1\",\n            \"meta\": {\n                \"qTime\": 14,\n                \"noOfResults\": 5,\n                \"totalResultsFound\": 447,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"a\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Affirm Water Bottle\",\n                    \"id\": \"31366498222142\"\n                },\n                {\n                    \"name\": \"Cruise Dual Analog Watch\",\n                    \"id\": \"31366496124990\"\n                },\n                {\n                    \"name\": \"Ariel Roll Sleeve Sweatshirt\",\n                    \"id\": \"31366458376254\"\n                },\n                {\n                    \"name\": \"Livingston All-Purpose Tight\",\n                    \"id\": \"31366468010046\"\n                },\n                {\n                    \"name\": \"Livingston All-Purpose Tight\",\n                    \"id\": \"31366467977278\"\n                }\n            ],\n            \"filters\": [\n                {\n                    \"key\": \"tags\",\n                    \"label\": \"Tags\",\n                    \"type\": \"OPTIONS\",\n                    \"options\": [\n                        {\n                            \"count\": 192,\n                            \"name\": \"machine\",\n                            \"value\": \"machine\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 143,\n                            \"name\": \"comfortable\",\n                            \"value\": \"comfortable\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 120,\n                            \"name\": \"comfort\",\n                            \"value\": \"comfort\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 116,\n                            \"name\": \"winter\",\n                            \"value\": \"winter\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 106,\n                            \"name\": \"cotton\",\n                            \"value\": \"cotton\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 80,\n                            \"name\": \"Hoodie\",\n                            \"value\": \"Hoodie\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 77,\n                            \"name\": \"Flexible\",\n                            \"value\": \"Flexible\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 76,\n                            \"name\": \"Cold-whether\",\n                            \"value\": \"Cold-whether\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 67,\n                            \"name\": \"Short\",\n                            \"value\": \"Short\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 62,\n                            \"name\": \"royal\",\n                            \"value\": \"royal\",\n                            \"selected\": false\n                        }\n                    ]\n                },\n                {\n                    \"key\": \"category\",\n                    \"label\": \"category\",\n                    \"type\": \"OPTIONS\",\n                    \"options\": [\n                        {\n                            \"count\": 83,\n                            \"name\": \"Hoodies & Sweatshirts\",\n                            \"value\": \"Hoodies & Sweatshirts\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 81,\n                            \"name\": \"Jackets\",\n                            \"value\": \"Jackets\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 77,\n                            \"name\": \"Pants\",\n                            \"value\": \"Pants\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 71,\n                            \"name\": \"Smart Collection 1\",\n                            \"value\": \"Smart Collection 1\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 69,\n                            \"name\": \"Tees\",\n                            \"value\": \"Tees\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 68,\n                            \"name\": \"Shorts\",\n                            \"value\": \"Shorts\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 59,\n                            \"name\": \"Smart Collection 3\",\n                            \"value\": \"Smart Collection 3\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 53,\n                            \"name\": \"Hoodies\",\n                            \"value\": \"Hoodies\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 42,\n                            \"name\": \"Bras & Tanks\",\n                            \"value\": \"Bras & Tanks\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 39,\n                            \"name\": \"Tanks\",\n                            \"value\": \"Tanks\",\n                            \"selected\": false\n                        }\n                    ]\n                },\n                {\n                    \"key\": \"size\",\n                    \"label\": \"Size\",\n                    \"type\": \"OPTIONS\",\n                    \"options\": [\n                        {\n                            \"count\": 143,\n                            \"name\": \"Small\",\n                            \"value\": \"Small\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 141,\n                            \"name\": \"Medium\",\n                            \"value\": \"Medium\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 140,\n                            \"name\": \"Large\",\n                            \"value\": \"Large\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 9,\n                            \"name\": \"Free Size\",\n                            \"value\": \"Free Size\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 3,\n                            \"name\": \"S\",\n                            \"value\": \"S\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 2,\n                            \"name\": \"XL\",\n                            \"value\": \"XL\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 2,\n                            \"name\": \"XXL\",\n                            \"value\": \"XXL\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 2,\n                            \"name\": \"medium\",\n                            \"value\": \"medium\",\n                            \"selected\": false\n                        }\n                    ]\n                },\n                {\n                    \"key\": \"brand\",\n                    \"label\": \"brand\",\n                    \"type\": \"OPTIONS\",\n                    \"options\": [\n                        {\n                            \"count\": 169,\n                            \"name\": \"KSD\",\n                            \"value\": \"KSD\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 144,\n                            \"name\": \"MNH\",\n                            \"value\": \"MNH\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 138,\n                            \"name\": \"KKE\",\n                            \"value\": \"KKE\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 7,\n                            \"name\": \"Klevu Search Demo\",\n                            \"value\": \"Klevu Search Demo\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 1,\n                            \"name\": \"KKE New\",\n                            \"value\": \"KKE New\",\n                            \"selected\": false\n                        }\n                    ]\n                },\n                {\n                    \"key\": \"type\",\n                    \"label\": \"Type\",\n                    \"type\": \"OPTIONS\",\n                    \"options\": [\n                        {\n                            \"count\": 83,\n                            \"name\": \"Hoodies & Sweatshirts\",\n                            \"value\": \"Hoodies & Sweatshirts\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 77,\n                            \"name\": \"Pants\",\n                            \"value\": \"Pants\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 69,\n                            \"name\": \"Tees\",\n                            \"value\": \"Tees\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 68,\n                            \"name\": \"Shorts\",\n                            \"value\": \"Shorts\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 62,\n                            \"name\": \"Jackets\",\n                            \"value\": \"Jackets\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 42,\n                            \"name\": \"Bras & Tanks\",\n                            \"value\": \"Bras & Tanks\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 18,\n                            \"name\": \"Tanks\",\n                            \"value\": \"Tanks\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 14,\n                            \"name\": \"Bags\",\n                            \"value\": \"Bags\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 10,\n                            \"name\": \"Fitness Equipment\",\n                            \"value\": \"Fitness Equipment\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 9,\n                            \"name\": \"Watches\",\n                            \"value\": \"Watches\",\n                            \"selected\": false\n                        }\n                    ]\n                },\n                {\n                    \"key\": \"salePrice\",\n                    \"label\": \"salePrice\",\n                    \"type\": \"OPTIONS\",\n                    \"options\": [\n                        {\n                            \"count\": 47,\n                            \"name\": \"29.00\",\n                            \"value\": \"29.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 35,\n                            \"name\": \"39.00\",\n                            \"value\": \"39.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 26,\n                            \"name\": \"32.00\",\n                            \"value\": \"32.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 24,\n                            \"name\": \"42.00\",\n                            \"value\": \"42.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 22,\n                            \"name\": \"24.00\",\n                            \"value\": \"24.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 22,\n                            \"name\": \"28.00\",\n                            \"value\": \"28.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 20,\n                            \"name\": \"48.00\",\n                            \"value\": \"48.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 17,\n                            \"name\": \"45.00\",\n                            \"value\": \"45.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 16,\n                            \"name\": \"57.00\",\n                            \"value\": \"57.00\",\n                            \"selected\": false\n                        },\n                        {\n                            \"count\": 14,\n                            \"name\": \"49.00\",\n                            \"value\": \"49.00\",\n                            \"selected\": false\n                        }\n                    ]\n                }\n            ]\n        },\n        {\n            \"id\": \"productSearch2\",\n            \"meta\": {\n                \"qTime\": 10,\n                \"noOfResults\": 3,\n                \"totalResultsFound\": 419,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"b\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Wayfarer Messenger Bag\",\n                    \"id\": \"31366499991614\"\n                },\n                {\n                    \"name\": \"Prima Compete Bra Top\",\n                    \"id\": \"31366445826110\"\n                },\n                {\n                    \"name\": \"Lucia Cross-Fit Bra\",\n                    \"id\": \"31366444220478\"\n                }\n            ],\n            \"filters\": []\n        },\n        {\n            \"id\": \"cmsAndRecipeSearch\",\n            \"meta\": {\n                \"qTime\": 10,\n                \"noOfResults\": 5,\n                \"totalResultsFound\": 7,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"a\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Recipe: Fish and Chips\",\n                    \"id\": \"recipe_1\"\n                },\n                {\n                    \"name\": \"About Us\",\n                    \"id\": \"page_47677767742\"\n                },\n                {\n                    \"name\": \"Recipe: Fish & Chips\",\n                    \"id\": \"page_50756288574\"\n                },\n                {\n                    \"name\": \"Recipe: Fish Pie\",\n                    \"id\": \"page_51008929854\"\n                },\n                {\n                    \"name\": \"Recipe: Fish Pie\",\n                    \"id\": \"recipe_2\"\n                }\n            ],\n            \"filters\": []\n        },\n        {\n            \"id\": \"storeSearch\",\n            \"meta\": {\n                \"qTime\": 10,\n                \"noOfResults\": 1,\n                \"totalResultsFound\": 2,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"a\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Shop: London\",\n                    \"id\": \"shop_2\"\n                }\n            ],\n            \"filters\": []\n        }\n    ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "3XlvmT855lGkJOht0nPXg"
  },
  "examples": {
    "languages": [
      {
        "id": "jSU7DlYyJ_eUh63YSP682",
        "code": "{\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  },\n  \"suggestions\": [\n    {\n      \"id\": \"suggestionSearch\",\n      \"typeOfQuery\": \"AUTO_SUGGESTIONS\",\n      \"query\": \"a\",\n      \"limit\": 3\n    }\n  ],\n  \"recordQueries\": [\n    {\n      \"id\": \"categorySearch\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 3,\n        \"typeOfRecords\": [\n          \"KLEVU_CATEGORY\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\"\n        ]\n      }\n    },\n    {\n      \"id\": \"productSearch1\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 5,\n        \"typeOfRecords\": [\n          \"KLEVU_PRODUCT\"\n        ],\n        \"fields\": [\n          \"id\",\n          \"name\"\n        ]\n      },\n      \"filters\": {\n        \"filtersToReturn\": {\n          \"enabled\": true\n        }\n      }\n    },\n    {\n      \"id\": \"productSearch2\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"b\"\n        },\n        \"limit\": 3,\n        \"typeOfRecords\": [\n          \"KLEVU_PRODUCT\"\n        ],\n        \"fields\": [\n          \"id\",\n          \"name\"\n        ]\n      }\n    },\n    {\n      \"id\": \"cmsAndRecipeSearch\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 5,\n        \"typeOfRecords\": [\n          \"KLEVU_CMS\",\n          \"ACME_RECIPE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\"\n        ]\n      }\n    },\n    {\n      \"id\": \"storeSearch\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 1,\n        \"typeOfRecords\": [\n          \"ACME-STORE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\"\n        ]\n      }\n    }\n  ]\n}\n",
        "language": "json",
        "customLabel": "Request Body (JSON)"
      },
      {
        "id": "8Yg33Te4JzfoWp5yEbmJh",
        "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'POST',\n  CURLOPT_POSTFIELDS =>'{\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  },\n  \"suggestions\": [\n    {\n      \"id\": \"suggestionSearch\",\n      \"typeOfQuery\": \"AUTO_SUGGESTIONS\",\n      \"query\": \"a\",\n      \"limit\": 3\n    }\n  ],\n  \"recordQueries\": [\n    {\n      \"id\": \"categorySearch\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 3,\n        \"typeOfRecords\": [\n          \"KLEVU_CATEGORY\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\"\n        ]\n      }\n    },\n    {\n      \"id\": \"productSearch1\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 5,\n        \"typeOfRecords\": [\n          \"KLEVU_PRODUCT\"\n        ],\n        \"fields\": [\n          \"id\",\n          \"name\"\n        ]\n      },\n      \"filters\": {\n        \"filtersToReturn\": {\n          \"enabled\": true\n        }\n      }\n    },\n    {\n      \"id\": \"productSearch2\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"b\"\n        },\n        \"limit\": 3,\n        \"typeOfRecords\": [\n          \"KLEVU_PRODUCT\"\n        ],\n        \"fields\": [\n          \"id\",\n          \"name\"\n        ]\n      }\n    },\n    {\n      \"id\": \"cmsAndRecipeSearch\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 5,\n        \"typeOfRecords\": [\n          \"KLEVU_CMS\",\n          \"ACME_RECIPE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\"\n        ]\n      }\n    },\n    {\n      \"id\": \"storeSearch\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"a\"\n        },\n        \"limit\": 1,\n        \"typeOfRecords\": [\n          \"ACME-STORE\"\n        ],\n        \"fields\": [\n            \"id\",\n            \"name\"\n        ]\n      }\n    }\n  ]\n}\n',\n  CURLOPT_HTTPHEADER => array(\n    'Content-Type: application/json'\n  ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n",
        "language": "php",
        "customLabel": ""
      },
      {
        "id": "WCDgTsSqAXfiwklk2V174",
        "code": "var data = JSON.stringify({\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]},\"suggestions\":[{\"id\":\"suggestionSearch\",\"typeOfQuery\":\"AUTO_SUGGESTIONS\",\"query\":\"a\",\"limit\":3}],\"recordQueries\":[{\"id\":\"categorySearch\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":3,\"typeOfRecords\":[\"KLEVU_CATEGORY\"],\"fields\":[\"id\",\"name\"]}},{\"id\":\"productSearch1\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":5,\"typeOfRecords\":[\"KLEVU_PRODUCT\"],\"fields\":[\"id\",\"name\"]},\"filters\":{\"filtersToReturn\":{\"enabled\":true}}},{\"id\":\"productSearch2\",\"settings\":{\"query\":{\"term\":\"b\"},\"limit\":3,\"typeOfRecords\":[\"KLEVU_PRODUCT\"],\"fields\":[\"id\",\"name\"]}},{\"id\":\"cmsAndRecipeSearch\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":5,\"typeOfRecords\":[\"KLEVU_CMS\",\"ACME_RECIPE\"],\"fields\":[\"id\",\"name\"]}},{\"id\":\"storeSearch\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":1,\"typeOfRecords\":[\"ACME-STORE\"],\"fields\":[\"id\",\"name\"]}}]});\n\nvar xhr = new XMLHttpRequest();\nxhr.withCredentials = false;\n\nxhr.addEventListener(\"readystatechange\", function() {\n  if(this.readyState === 4) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://eucs15v2.ksearchnet.com/cs/v2/search\");\nxhr.setRequestHeader(\"Content-Type\", \"application/json\");\n\nxhr.send(data);",
        "language": "javascript",
        "customLabel": ""
      },
      {
        "id": "nPW0NIJe-j5R9I5W4BGN0",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n  \\\"context\\\": {\\n    \\\"apiKeys\\\": [\\n      \\\"klevu-156925593843210765\\\"\\n    ]\\n  },\\n  \\\"suggestions\\\": [\\n    {\\n      \\\"id\\\": \\\"suggestionSearch\\\",\\n      \\\"typeOfQuery\\\": \\\"AUTO_SUGGESTIONS\\\",\\n      \\\"query\\\": \\\"a\\\",\\n      \\\"limit\\\": 3\\n    }\\n  ],\\n  \\\"recordQueries\\\": [\\n    {\\n      \\\"id\\\": \\\"categorySearch\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"a\\\"\\n        },\\n        \\\"limit\\\": 3,\\n        \\\"typeOfRecords\\\": [\\n          \\\"KLEVU_CATEGORY\\\"\\n        ],\\n        \\\"fields\\\": [\\n            \\\"id\\\",\\n            \\\"name\\\"\\n        ]\\n      }\\n    },\\n    {\\n      \\\"id\\\": \\\"productSearch1\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"a\\\"\\n        },\\n        \\\"limit\\\": 5,\\n        \\\"typeOfRecords\\\": [\\n          \\\"KLEVU_PRODUCT\\\"\\n        ],\\n        \\\"fields\\\": [\\n          \\\"id\\\",\\n          \\\"name\\\"\\n        ]\\n      },\\n      \\\"filters\\\": {\\n        \\\"filtersToReturn\\\": {\\n          \\\"enabled\\\": true\\n        }\\n      }\\n    },\\n    {\\n      \\\"id\\\": \\\"productSearch2\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"b\\\"\\n        },\\n        \\\"limit\\\": 3,\\n        \\\"typeOfRecords\\\": [\\n          \\\"KLEVU_PRODUCT\\\"\\n        ],\\n        \\\"fields\\\": [\\n          \\\"id\\\",\\n          \\\"name\\\"\\n        ]\\n      }\\n    },\\n    {\\n      \\\"id\\\": \\\"cmsAndRecipeSearch\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"a\\\"\\n        },\\n        \\\"limit\\\": 5,\\n        \\\"typeOfRecords\\\": [\\n          \\\"KLEVU_CMS\\\",\\n          \\\"ACME_RECIPE\\\"\\n        ],\\n        \\\"fields\\\": [\\n            \\\"id\\\",\\n            \\\"name\\\"\\n        ]\\n      }\\n    },\\n    {\\n      \\\"id\\\": \\\"storeSearch\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"a\\\"\\n        },\\n        \\\"limit\\\": 1,\\n        \\\"typeOfRecords\\\": [\\n          \\\"ACME-STORE\\\"\\n        ],\\n        \\\"fields\\\": [\\n            \\\"id\\\",\\n            \\\"name\\\"\\n        ]\\n      }\\n    }\\n  ]\\n}\\n\");\nRequest request = new Request.Builder()\n  .url(\"https://eucs15v2.ksearchnet.com/cs/v2/search\")\n  .method(\"POST\", body)\n  .addHeader(\"Content-Type\", \"application/json\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "language": "java",
        "customLabel": ""
      },
      {
        "id": "0Ih7nieKhHFMl7CRY51j_",
        "code": "var request = require('request');\nvar options = {\n  'method': 'POST',\n  'url': 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  'headers': {\n    'Content-Type': 'application/json'\n  },\n  body: JSON.stringify({\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]},\"suggestions\":[{\"id\":\"suggestionSearch\",\"typeOfQuery\":\"AUTO_SUGGESTIONS\",\"query\":\"a\",\"limit\":3}],\"recordQueries\":[{\"id\":\"categorySearch\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":3,\"typeOfRecords\":[\"KLEVU_CATEGORY\"],\"fields\":[\"id\",\"name\"]}},{\"id\":\"productSearch1\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":5,\"typeOfRecords\":[\"KLEVU_PRODUCT\"],\"fields\":[\"id\",\"name\"]},\"filters\":{\"filtersToReturn\":{\"enabled\":true}}},{\"id\":\"productSearch2\",\"settings\":{\"query\":{\"term\":\"b\"},\"limit\":3,\"typeOfRecords\":[\"KLEVU_PRODUCT\"],\"fields\":[\"id\",\"name\"]}},{\"id\":\"cmsAndRecipeSearch\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":5,\"typeOfRecords\":[\"KLEVU_CMS\",\"ACME_RECIPE\"],\"fields\":[\"id\",\"name\"]}},{\"id\":\"storeSearch\",\"settings\":{\"query\":{\"term\":\"a\"},\"limit\":1,\"typeOfRecords\":[\"ACME-STORE\"],\"fields\":[\"id\",\"name\"]}}]})\n\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "language": "nodejs",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "WCDgTsSqAXfiwklk2V174"
  },
  "description": "This is an example how to search for multiple queries. ",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "multiple-queries-1",
  "legacyHash": "LVgl8FF_2VsbiDSoYulDr"
}
```
:::

### Try it here!

:::Iframe{code="<iframe src=&#x22;https://codesandbox.io/embed/klevu-api-sendbox-4ktfrp?fontsize=14&hidenavigation=0&theme=dark&view=preview&initialpath=?payload=multipleQueries&#x22;&#xA;     style=&#x22;width:100%; height:550px; border:0; border-radius: 4px; overflow:hidden;&#x22;&#xA;     title=&#x22;klevu_api sendbox&#x22;&#xA;     allow=&#x22;accelerometer; ambient-light-sensor; camera; encrypted-media; geolocation; gyroscope; hid; microphone; midi; payment; usb; vr; xr-spatial-tracking&#x22;&#xA;     sandbox=&#x22;allow-forms allow-modals allow-popups allow-presentation allow-same-origin allow-scripts&#x22;&#xA;     &#xA;   ></iframe>" iframeHeight="550"}

:::

## Fallback Queries

Sometimes customers will search for something which yields few or no results.

In this scenario, you can either present your customer with a 'no results found' message, or you can use the result of another query to show some records which they may be interested in.

We call this a fallback query.

Any query flagged as isFallbackQuery: true will not execute unless certain criteria are met. With this approach you can present customers with alternative results, without needing to make any additional HTTP requests, and also without the jeopardising performance of the initial query.

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://{{hostname}}/cs/v2/search",
  "name": "Fallback Queries",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "fallbackQueryId",
        "type": "string",
        "description": "The ID of another query which should be fired if the current query yields too few results."
      },
      {
        "kind": "optional",
        "name": "fallbackWhenCountLessThan",
        "type": "Integer",
        "description": "Use this parameter to specify the criteria for when a fallback query will be fired. For example, if you would like a fallback query to fire when you have two results or less, specify a value of '3'."
      },
      {
        "kind": "optional",
        "name": "isFallbackQuery",
        "type": "Boolean",
        "description": "Specify a value of true for any queries that should not be executed until some particular criteria are met, in another query. It is not possible for a fallback query to have its own fallback query."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "3XlvmT855lGkJOht0nPXg",
        "code": "{\n    \"meta\": {\n        \"qTime\": 15,\n        \"responseCode\": 200\n    },\n    \"queryResults\": [\n        {\n            \"id\": \"myInitialQuery\",\n            \"meta\": {\n                \"qTime\": 12,\n                \"noOfResults\": 12,\n                \"totalResultsFound\": 105,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"short\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384016334910\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"45.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/wsh12-green_main_3ac6ebe5-2c3e-45cf-91cf-ec54de5e5e3a_medium.jpg?v=1575477721\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366431146046\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"WSH12-28-Green\",\n                    \"brand\": \"KSD\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/wsh12-green_main_3ac6ebe5-2c3e-45cf-91cf-ec54de5e5e3a_medium.jpg?v=1575477721\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"45.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/erika-running-short-green\",\n                    \"tags\": \"body-hugging, Green, nylon, Running, Short\",\n                    \"size\": \"Small\",\n                    \"name\": \"Erika Running Short\",\n                    \"shortDesc\": \"A great short with a body-hugging design, the Erika Running Short is perfect for runners who prefer a fitted short rather than the traditional baggy variety. • Seafoam pattern running shorts. • Elastic waistband. • Snug fit. • 4''\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384016269374\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"45.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/wsh12-purple_main_c57ce41e-7b0e-4cd2-a0de-18ddb6d2017a_medium.jpg?v=1575477720\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366431080510\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"WSH12-28-Purple\",\n                    \"brand\": \"KSD\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/wsh12-purple_main_c57ce41e-7b0e-4cd2-a0de-18ddb6d2017a_medium.jpg?v=1575477720\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"45.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/erika-running-short-purple\",\n                    \"tags\": \"body-hugging, nylon, Red, Running, Short\",\n                    \"size\": \"Large\",\n                    \"name\": \"Erika Running Short\",\n                    \"shortDesc\": \"A great short with a body-hugging design, the Erika Running Short is perfect for runners who prefer a fitted short rather than the traditional baggy variety. • Seafoam pattern running shorts. • Elastic waistband. • Snug fit. • 4''\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384016203838\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"45.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/wsh12-red_main_9999e03f-694d-4f0c-83ab-8c0200029275_medium.jpg?v=1575477719\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366431014974\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"WSH12-28-Red\",\n                    \"brand\": \"KSD\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/wsh12-red_main_9999e03f-694d-4f0c-83ab-8c0200029275_medium.jpg?v=1575477719\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"45.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/erika-running-short-red\",\n                    \"tags\": \"body-hugging, nylon, Red, Running, Short\",\n                    \"size\": \"Medium\",\n                    \"name\": \"Erika Running Short\",\n                    \"shortDesc\": \"A great short with a body-hugging design, the Erika Running Short is perfect for runners who prefer a fitted short rather than the traditional baggy variety. • Seafoam pattern running shorts. • Elastic waistband. • Snug fit. • 4''\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384040386622\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"32.50\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh03-black_main_a8796b84-9c70-4146-9c73-2295b0d260a7_medium.jpg?v=1575478122\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366465781822\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH03-32-Black\",\n                    \"brand\": \"KKE\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh03-black_main_a8796b84-9c70-4146-9c73-2295b0d260a7_medium.jpg?v=1575478122\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"32.5\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/meteor-workout-short-black\",\n                    \"tags\": \"black, Machine, Nylon, Relaxed fit, Short, Summer\",\n                    \"size\": \"Small\",\n                    \"name\": \"Meteor Workout Short\",\n                    \"shortDesc\": \"Step into the Meteor Workout Short for an incredibly lightweight fitness experience. Its breathable construction and an inner brief provide additional comfort and support, while the adjustable waistband offers the perfect fit to take you to the fi\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384039665726\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"29.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh05-gray_main_0f869cff-09fb-403a-a209-cf092f4d3c1a_medium.jpg?v=1575478112\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366465060926\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH05-32-Gray\",\n                    \"brand\": \"KSD\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh05-gray_main_0f869cff-09fb-403a-a209-cf092f4d3c1a_medium.jpg?v=1575478112\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"29.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/hawkeye-yoga-short-gray\",\n                    \"tags\": \"Gray, Machine, Nylon, Relaxed fit, Short, Summer\",\n                    \"size\": \"Medium\",\n                    \"name\": \"Hawkeye Yoga Short\",\n                    \"shortDesc\": \"What more do you need than a sporty yoga short made with organic cotton and a little spandex for mobility? The Hawkeye Yoga Short brings a stylish, standard fit you can sport with confidence outside the studio. • Dark gray shorts with red a\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384037830718\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"27.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh12-black_main_2ef78733-04a5-4345-9f5f-992d0cfffe8d_medium.jpg?v=1575478090\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366462472254\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH12-32-Black\",\n                    \"brand\": \"KKE\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh12-black_main_2ef78733-04a5-4345-9f5f-992d0cfffe8d_medium.jpg?v=1575478090\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"27.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/pierce-gym-short-black\",\n                    \"tags\": \"Black, Machine, Nylon, Relaxed fit, Short, Summer\",\n                    \"size\": \"Small\",\n                    \"name\": \"Pierce Gym Short\",\n                    \"shortDesc\": \"The Pierce Gym Short is similar to our Arcadio Gym Short, but designed with a fitted, tapered look. A flat waistband with an adjustable drawstring adds comfort, with zippered pockets for safe, easy storage. • Dark red cotton shorts. • 8\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384039796798\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"29.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh05-black_main_f61ee526-b9d3-4eaa-b7b2-80dc400f31b0_medium.jpg?v=1575478115\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366465191998\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH05-32-Black\",\n                    \"brand\": \"KKE\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh05-black_main_f61ee526-b9d3-4eaa-b7b2-80dc400f31b0_medium.jpg?v=1575478115\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"29.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/hawkeye-yoga-short-black\",\n                    \"tags\": \"Black, Machine, motion-friendly, Nylon, Relaxed fit, Smooth, Summer, yoga-short\",\n                    \"size\": \"Small\",\n                    \"name\": \"Hawkeye Yoga Short\",\n                    \"shortDesc\": \"What more do you need than a sporty yoga short made with organic cotton and a little spandex for mobility? The Hawkeye Yoga Short brings a stylish, standard fit you can sport with confidence outside the studio. • Dark gray shorts with red a\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384039731262\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"29.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh05-blue_main_2130114d-06b0-4793-8fc2-bf77411297e4_medium.jpg?v=1575478114\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366465126462\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH05-32-Blue\",\n                    \"brand\": \"MNH\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh05-blue_main_2130114d-06b0-4793-8fc2-bf77411297e4_medium.jpg?v=1575478114\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"29.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/hawkeye-yoga-short-blue\",\n                    \"tags\": \"Blue, Machine, Nylon, Relaxed fit, Short, Summer\",\n                    \"size\": \"Large\",\n                    \"name\": \"Hawkeye Yoga Short\",\n                    \"shortDesc\": \"What more do you need than a sporty yoga short made with organic cotton and a little spandex for mobility? The Hawkeye Yoga Short brings a stylish, standard fit you can sport with confidence outside the studio. • Dark gray shorts with red a\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384037765182\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"27.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh12-gray_main_4bb28c53-a928-47a0-92ea-ecd303f97dba_medium.jpg?v=1575478089\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366462439486\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH12-32-Gray\",\n                    \"brand\": \"MNH\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh12-gray_main_4bb28c53-a928-47a0-92ea-ecd303f97dba_medium.jpg?v=1575478089\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"27.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/pierce-gym-short-gray\",\n                    \"tags\": \"Gray, Machine, Nylon, Relaxed fit, Short, Summer\",\n                    \"size\": \"Large\",\n                    \"name\": \"Pierce Gym Short\",\n                    \"shortDesc\": \"The Pierce Gym Short is similar to our Arcadio Gym Short, but designed with a fitted, tapered look. A flat waistband with an adjustable drawstring adds comfort, with zippered pockets for safe, easy storage. • Dark red cotton shorts. • 8\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384037699646\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"27.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh12-red_main_6c29f610-d5f7-4e1a-bde4-1fb148964be5_medium.jpg?v=1575478088\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366462373950\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH12-32-Red\",\n                    \"brand\": \"KSD\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh12-red_main_6c29f610-d5f7-4e1a-bde4-1fb148964be5_medium.jpg?v=1575478088\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"27.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/pierce-gym-short-red\",\n                    \"tags\": \"Cotton, Machine, Relaxed fit, Res, Short, Summer\",\n                    \"size\": \"Medium\",\n                    \"name\": \"Pierce Gym Short\",\n                    \"shortDesc\": \"The Pierce Gym Short is similar to our Arcadio Gym Short, but designed with a fitted, tapered look. A flat waistband with an adjustable drawstring adds comfort, with zippered pockets for safe, easy storage. • Dark red cotton shorts. • 8\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384038322238\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"32.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh10-blue_main_774a1fbb-9eab-4d4f-9261-f1e0c028b492_medium.jpg?v=1575478097\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366463094846\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH10-32-Blue\",\n                    \"brand\": \"KKE\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh10-blue_main_774a1fbb-9eab-4d4f-9261-f1e0c028b492_medium.jpg?v=1575478097\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"32.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/sol-active-short-blue\",\n                    \"tags\": \"Blue, Machine, Navy polyster, Relaxed fit, Short, Summer\",\n                    \"size\": \"Small\",\n                    \"name\": \"Sol Active Short\",\n                    \"shortDesc\": \"You'll let your fear go and push your limits in your new Sol Active Short. Featuring ultra-breathable performance fabric and a flat comfort-fit waistband, the Sol Active Short is perfect for high-intensity circuits or high-heat bikram. • Li\",\n                    \"category\": \"Shorts\"\n                },\n                {\n                    \"discount\": \"\",\n                    \"hideGroupPrices\": \"\",\n                    \"type\": \"Shorts\",\n                    \"itemGroupId\": \"4384038256702\",\n                    \"freeShipping\": \"\",\n                    \"storeBaseCurrency\": \"GBP\",\n                    \"price\": \"32.00\",\n                    \"toPrice\": \"\",\n                    \"imageUrl\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh10-green_main_18d664f2-5ba2-421d-b89a-87cb73d86416_medium.jpg?v=1575478095\",\n                    \"currency\": \"GBP\",\n                    \"inStock\": \"yes\",\n                    \"id\": \"31366463029310\",\n                    \"imageHover\": \"\",\n                    \"sku\": \"MSH10-32-Green\",\n                    \"brand\": \"MNH\",\n                    \"startPrice\": \"\",\n                    \"image\": \"https://cdn.shopify.com/s/files/1/0116/9457/1582/products/msh10-green_main_18d664f2-5ba2-421d-b89a-87cb73d86416_medium.jpg?v=1575478095\",\n                    \"deliveryInfo\": \"\",\n                    \"hideAddToCart\": \"\",\n                    \"salePrice\": \"32.0\",\n                    \"swatchesInfo\": \"\",\n                    \"weight\": \"\",\n                    \"klevu_category\": \"KLEVU_PRODUCT;Products;;Shorts  @ku@kuCategory@ku@\",\n                    \"totalVariants\": 0,\n                    \"groupPrices\": \"\",\n                    \"url\": \"https://jsv2-shopify-demo.ksearchmisc.com/products/sol-active-short-green\",\n                    \"tags\": \"Green, Machine, Nylon, Relaxed fit, Short, Summer\",\n                    \"size\": \"Large\",\n                    \"name\": \"Sol Active Short\",\n                    \"shortDesc\": \"You'll let your fear go and push your limits in your new Sol Active Short. Featuring ultra-breathable performance fabric and a flat comfort-fit waistband, the Sol Active Short is perfect for high-intensity circuits or high-heat bikram. • Li\",\n                    \"category\": \"Shorts\"\n                }\n            ],\n            \"filters\": []\n        }\n    ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "3XlvmT855lGkJOht0nPXg"
  },
  "examples": {
    "languages": [
      {
        "id": "jSU7DlYyJ_eUh63YSP682",
        "code": "{\n  \"recordQueries\": [\n    {\n      \"id\": \"myInitialQuery\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"short\"\n        },\n        \"typeOfSearch\": \"WILDCARD_AND\",\n        \"fallbackQueryId\": \"myFallbackQuery\",\n        \"fallbackWhenCountLessThan\": 3\n      }\n    },\n    {\n      \"id\": \"myFallbackQuery\",\n      \"isFallbackQuery\": true,\n      \"settings\": {\n        \"query\": {\n          \"term\": \"short\"\n        },\n        \"typeOfSearch\": \"FUZZY_OR\"\n      }\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}",
        "language": "json",
        "customLabel": "Request Body (JSON)"
      },
      {
        "id": "8Yg33Te4JzfoWp5yEbmJh",
        "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'POST',\n  CURLOPT_POSTFIELDS =>'{\n  \"recordQueries\": [\n    {\n      \"id\": \"myInitialQuery\",\n      \"settings\": {\n        \"query\": {\n          \"term\": \"short\"\n        },\n        \"typeOfSearch\": \"WILDCARD_AND\",\n        \"fallbackQueryId\": \"myFallbackQuery\",\n        \"fallbackWhenCountLessThan\": 3\n      }\n    },\n    {\n      \"id\": \"myFallbackQuery\",\n      \"isFallbackQuery\": true,\n      \"settings\": {\n        \"query\": {\n          \"term\": \"short\"\n        },\n        \"typeOfSearch\": \"FUZZY_OR\"\n      }\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}',\n  CURLOPT_HTTPHEADER => array(\n    'Content-Type: application/json'\n  ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n",
        "language": "php",
        "customLabel": ""
      },
      {
        "id": "WCDgTsSqAXfiwklk2V174",
        "code": "var data = JSON.stringify({\"recordQueries\":[{\"id\":\"myInitialQuery\",\"settings\":{\"query\":{\"term\":\"short\"},\"typeOfSearch\":\"WILDCARD_AND\",\"fallbackQueryId\":\"myFallbackQuery\",\"fallbackWhenCountLessThan\":3}},{\"id\":\"myFallbackQuery\",\"isFallbackQuery\":true,\"settings\":{\"query\":{\"term\":\"short\"},\"typeOfSearch\":\"FUZZY_OR\"}}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}});\n\nvar xhr = new XMLHttpRequest();\nxhr.withCredentials = false;\n\nxhr.addEventListener(\"readystatechange\", function() {\n  if(this.readyState === 4) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://eucs15v2.ksearchnet.com/cs/v2/search\");\nxhr.setRequestHeader(\"Content-Type\", \"application/json\");\n\nxhr.send(data);",
        "language": "javascript",
        "customLabel": ""
      },
      {
        "id": "nPW0NIJe-j5R9I5W4BGN0",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n  \\\"recordQueries\\\": [\\n    {\\n      \\\"id\\\": \\\"myInitialQuery\\\",\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"short\\\"\\n        },\\n        \\\"typeOfSearch\\\": \\\"WILDCARD_AND\\\",\\n        \\\"fallbackQueryId\\\": \\\"myFallbackQuery\\\",\\n        \\\"fallbackWhenCountLessThan\\\": 3\\n      }\\n    },\\n    {\\n      \\\"id\\\": \\\"myFallbackQuery\\\",\\n      \\\"isFallbackQuery\\\": true,\\n      \\\"settings\\\": {\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"short\\\"\\n        },\\n        \\\"typeOfSearch\\\": \\\"FUZZY_OR\\\"\\n      }\\n    }\\n  ],\\n  \\\"context\\\": {\\n    \\\"apiKeys\\\": [\\n      \\\"klevu-156925593843210765\\\"\\n    ]\\n  }\\n}\");\nRequest request = new Request.Builder()\n  .url(\"https://eucs15v2.ksearchnet.com/cs/v2/search\")\n  .method(\"POST\", body)\n  .addHeader(\"Content-Type\", \"application/json\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "language": "java",
        "customLabel": ""
      },
      {
        "id": "0Ih7nieKhHFMl7CRY51j_",
        "code": "var request = require('request');\nvar options = {\n  'method': 'POST',\n  'url': 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  'headers': {\n    'Content-Type': 'application/json'\n  },\n  body: JSON.stringify({\"recordQueries\":[{\"id\":\"myInitialQuery\",\"settings\":{\"query\":{\"term\":\"short\"},\"typeOfSearch\":\"WILDCARD_AND\",\"fallbackQueryId\":\"myFallbackQuery\",\"fallbackWhenCountLessThan\":3}},{\"id\":\"myFallbackQuery\",\"isFallbackQuery\":true,\"settings\":{\"query\":{\"term\":\"short\"},\"typeOfSearch\":\"FUZZY_OR\"}}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}})\n\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "language": "nodejs",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "WCDgTsSqAXfiwklk2V174"
  },
  "description": "This is an example how to fetch results as a part of fall back queries.",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "fallback-queries-1",
  "legacyHash": "-RFscIe41HW8rdHOrAj56"
}
```
:::

### Try it here!

:::Iframe{code="<iframe src=&#x22;https://codesandbox.io/embed/klevu-api-sendbox-4ktfrp?fontsize=14&hidenavigation=0&theme=dark&view=preview&initialpath=?payload=fallbackQueries&#x22;&#xA;     style=&#x22;width:100%; height:550px; border:0; border-radius: 4px; overflow:hidden;&#x22;&#xA;     title=&#x22;klevu_api sendbox&#x22;&#xA;     allow=&#x22;accelerometer; ambient-light-sensor; camera; encrypted-media; geolocation; gyroscope; hid; microphone; midi; payment; usb; vr; xr-spatial-tracking&#x22;&#xA;     sandbox=&#x22;allow-forms allow-modals allow-popups allow-presentation allow-same-origin allow-scripts&#x22;&#xA;     &#xA;   ></iframe>" iframeHeight="550"}

:::

## Hand-Picked Products

Sometimes merchants want to take control over which records are included or excluded, or whether certain records should always take precedence over others.

This can be done via query-time **manual merchandising**.

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://{{hostname}}/cs/v2/search",
  "name": "Hand-picked Queries",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "topIds",
        "type": "Array",
        "description": "Specify any records which should always be displayed at the top of the result set. You can specify a record id to control this at variant level, or a itemGroupId to control this at compound item level.\n\nNote that this is only applicable when the sort order is by 'RELEVANCE'."
      },
      {
        "kind": "optional",
        "name": "includeIds",
        "type": "Array",
        "description": "Specify any records which should be included with the results, even if the Klevu search query did not match them. You can specify a record id to control this at variant level, or a itemGroupId to control this at compound item level."
      },
      {
        "kind": "optional",
        "name": "excludeIds",
        "type": "Array",
        "description": "Use this field to exclude certain records from the search results. You can specify a record id to control this at variant level, or an itemGroupId to control this at compound level."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "3XlvmT855lGkJOht0nPXg",
        "code": "{\n    \"meta\": {\n        \"qTime\": 12,\n        \"responseCode\": 200\n    },\n    \"queryResults\": [\n        {\n            \"id\": \"productSearch\",\n            \"meta\": {\n                \"qTime\": 8,\n                \"noOfResults\": 10,\n                \"totalResultsFound\": 105,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"short\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"name\": \"Summit Watch\",\n                    \"id\": \"31366496223294\",\n                    \"itemGroupId\": \"4384059031614\"\n                },\n                {\n                    \"name\": \"Erika Running Short\",\n                    \"id\": \"31366431146046\",\n                    \"itemGroupId\": \"4384016334910\"\n                },\n                {\n                    \"name\": \"Erika Running Short\",\n                    \"id\": \"31366431014974\",\n                    \"itemGroupId\": \"4384016203838\"\n                },\n                {\n                    \"name\": \"Erika Running Short\",\n                    \"id\": \"31366431080510\",\n                    \"itemGroupId\": \"4384016269374\"\n                },\n                {\n                    \"name\": \"Meteor Workout Short\",\n                    \"id\": \"31366465781822\",\n                    \"itemGroupId\": \"4384040386622\"\n                },\n                {\n                    \"name\": \"Hawkeye Yoga Short\",\n                    \"id\": \"31366465191998\",\n                    \"itemGroupId\": \"4384039796798\"\n                },\n                {\n                    \"name\": \"Hawkeye Yoga Short\",\n                    \"id\": \"31366465060926\",\n                    \"itemGroupId\": \"4384039665726\"\n                },\n                {\n                    \"name\": \"Hawkeye Yoga Short\",\n                    \"id\": \"31366465126462\",\n                    \"itemGroupId\": \"4384039731262\"\n                },\n                {\n                    \"name\": \"Pierce Gym Short\",\n                    \"id\": \"31366462439486\",\n                    \"itemGroupId\": \"4384037765182\"\n                },\n                {\n                    \"name\": \"Pierce Gym Short\",\n                    \"id\": \"31366462373950\",\n                    \"itemGroupId\": \"4384037699646\"\n                }\n            ],\n            \"filters\": []\n        }\n    ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "3XlvmT855lGkJOht0nPXg"
  },
  "examples": {
    "languages": [
      {
        "id": "jSU7DlYyJ_eUh63YSP682",
        "code": "{\n  \"recordQueries\": [\n    {\n      \"settings\": {\n        \"topIds\": [\n          {\n            \"key\": \"id\",\n            \"value\": \"31366496223294\"\n          },\n          {\n            \"key\": \"itemGroupId\",\n            \"value\": \"4384052412478\"\n          }\n        ],\n        \"includeIds\": [\n          {\n            \"key\": \"id\",\n            \"value\": \"31366496223294\"\n          }\n        ],\n        \"excludeIds\": [\n          {\n            \"key\": \"id\",\n            \"value\": \"31366451953726\"\n          }\n        ],\n        \"query\": {\n          \"term\": \"short\"\n        },\n        \"typeOfRecords\": [\n          \"KLEVU_PRODUCT\"\n        ],\n        \"fields\": [\n          \"id\",\n          \"name\",\n          \"itemGroupId\"\n        ],\n        \"limit\": 10\n      },\n      \"id\": \"productSearch\"\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}",
        "language": "json",
        "customLabel": "Request Body (JSON)"
      },
      {
        "id": "8Yg33Te4JzfoWp5yEbmJh",
        "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'POST',\n  CURLOPT_POSTFIELDS =>'{\n  \"recordQueries\": [\n    {\n      \"settings\": {\n        \"topIds\": [\n          {\n            \"key\": \"id\",\n            \"value\": \"31366496223294\"\n          },\n          {\n            \"key\": \"itemGroupId\",\n            \"value\": \"4384052412478\"\n          }\n        ],\n        \"includeIds\": [\n          {\n            \"key\": \"id\",\n            \"value\": \"31366496223294\"\n          }\n        ],\n        \"excludeIds\": [\n          {\n            \"key\": \"id\",\n            \"value\": \"31366451953726\"\n          }\n        ],\n        \"query\": {\n          \"term\": \"short\"\n        },\n        \"typeOfRecords\": [\n          \"KLEVU_PRODUCT\"\n        ],\n        \"fields\": [\n          \"id\",\n          \"name\",\n          \"itemGroupId\"\n        ],\n        \"limit\": 10\n      },\n      \"id\": \"productSearch\"\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}',\n  CURLOPT_HTTPHEADER => array(\n    'Content-Type: application/json'\n  ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n",
        "language": "php",
        "customLabel": ""
      },
      {
        "id": "WCDgTsSqAXfiwklk2V174",
        "code": "var data = JSON.stringify({\"recordQueries\":[{\"settings\":{\"topIds\":[{\"key\":\"id\",\"value\":\"31366496223294\"},{\"key\":\"itemGroupId\",\"value\":\"4384052412478\"}],\"includeIds\":[{\"key\":\"id\",\"value\":\"31366496223294\"}],\"excludeIds\":[{\"key\":\"id\",\"value\":\"31366451953726\"}],\"query\":{\"term\":\"short\"},\"typeOfRecords\":[\"KLEVU_PRODUCT\"],\"fields\":[\"id\",\"name\",\"itemGroupId\"],\"limit\":10},\"id\":\"productSearch\"}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}});\n\nvar xhr = new XMLHttpRequest();\nxhr.withCredentials = false;\n\nxhr.addEventListener(\"readystatechange\", function() {\n  if(this.readyState === 4) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://eucs15v2.ksearchnet.com/cs/v2/search\");\nxhr.setRequestHeader(\"Content-Type\", \"application/json\");\n\nxhr.send(data);",
        "language": "javascript",
        "customLabel": ""
      },
      {
        "id": "nPW0NIJe-j5R9I5W4BGN0",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n  \\\"recordQueries\\\": [\\n    {\\n      \\\"settings\\\": {\\n        \\\"topIds\\\": [\\n          {\\n            \\\"key\\\": \\\"id\\\",\\n            \\\"value\\\": \\\"31366496223294\\\"\\n          },\\n          {\\n            \\\"key\\\": \\\"itemGroupId\\\",\\n            \\\"value\\\": \\\"4384052412478\\\"\\n          }\\n        ],\\n        \\\"includeIds\\\": [\\n          {\\n            \\\"key\\\": \\\"id\\\",\\n            \\\"value\\\": \\\"31366496223294\\\"\\n          }\\n        ],\\n        \\\"excludeIds\\\": [\\n          {\\n            \\\"key\\\": \\\"id\\\",\\n            \\\"value\\\": \\\"31366451953726\\\"\\n          }\\n        ],\\n        \\\"query\\\": {\\n          \\\"term\\\": \\\"short\\\"\\n        },\\n        \\\"typeOfRecords\\\": [\\n          \\\"KLEVU_PRODUCT\\\"\\n        ],\\n        \\\"fields\\\": [\\n          \\\"id\\\",\\n          \\\"name\\\",\\n          \\\"itemGroupId\\\"\\n        ],\\n        \\\"limit\\\": 10\\n      },\\n      \\\"id\\\": \\\"productSearch\\\"\\n    }\\n  ],\\n  \\\"context\\\": {\\n    \\\"apiKeys\\\": [\\n      \\\"klevu-156925593843210765\\\"\\n    ]\\n  }\\n}\");\nRequest request = new Request.Builder()\n  .url(\"https://eucs15v2.ksearchnet.com/cs/v2/search\")\n  .method(\"POST\", body)\n  .addHeader(\"Content-Type\", \"application/json\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "language": "java",
        "customLabel": ""
      },
      {
        "id": "0Ih7nieKhHFMl7CRY51j_",
        "code": "var request = require('request');\nvar options = {\n  'method': 'POST',\n  'url': 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  'headers': {\n    'Content-Type': 'application/json'\n  },\n  body: JSON.stringify({\"recordQueries\":[{\"settings\":{\"topIds\":[{\"key\":\"id\",\"value\":\"31366496223294\"},{\"key\":\"itemGroupId\",\"value\":\"4384052412478\"}],\"includeIds\":[{\"key\":\"id\",\"value\":\"31366496223294\"}],\"excludeIds\":[{\"key\":\"id\",\"value\":\"31366451953726\"}],\"query\":{\"term\":\"short\"},\"typeOfRecords\":[\"KLEVU_PRODUCT\"],\"fields\":[\"id\",\"name\",\"itemGroupId\"],\"limit\":10},\"id\":\"productSearch\"}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}})\n\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "language": "nodejs",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "WCDgTsSqAXfiwklk2V174"
  },
  "description": "This is an example how to merchandise search results using APIs.",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "hand-picked-queries",
  "legacyHash": "L4gT0Bt7_WcXUQEzCM1kX"
}
```
:::

### Try it here!

:::Iframe{code="<iframe src=&#x22;https://codesandbox.io/embed/klevu-api-sendbox-4ktfrp?fontsize=14&hidenavigation=0&theme=dark&view=preview&initialpath=?payload=handPickedQueries&#x22;&#xA;     style=&#x22;width:100%; height:550px; border:0; border-radius: 4px; overflow:hidden;&#x22;&#xA;     title=&#x22;klevu_api sendbox&#x22;&#xA;     allow=&#x22;accelerometer; ambient-light-sensor; camera; encrypted-media; geolocation; gyroscope; hid; microphone; midi; payment; usb; vr; xr-spatial-tracking&#x22;&#xA;     sandbox=&#x22;allow-forms allow-modals allow-popups allow-presentation allow-same-origin allow-scripts&#x22;&#xA;     &#xA;   ></iframe>" iframeHeight="550"}

:::

## Custom Queries

:::hint{type="danger"}
**DEPRECATED:**  The use of `customANDQuery` is being deprecated.&#x20;

For better control over custom queries please review and use [Advanced Filtering](docId\:RbT4zzdIHEIp1lCuk8n-r)
:::

You can even write your own **custom queries** with Klevu search, to take more control over your results. The example to the right shows how you can build a query to filter results by Small or Medium records which are NOT brand "KKE."

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://{{hostname}}/cs/v2/search",
  "name": "Custom Queries",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "customANDQuery",
        "type": "String",
        "description": "DEPRECATED\n\nThe custom query you would like to fire, which Klevu automatically converts into an appropriate query to be included with the request. Use a - character before the parenthesis to exclude records matching the contained condition.\n\nThis is advanced usage of our API and you may need some help with building these queries, so when you need support please reach out to us via the Community Forum."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "3XlvmT855lGkJOht0nPXg",
        "code": "{\n    \"meta\": {\n        \"qTime\": 7,\n        \"responseCode\": 200\n    },\n    \"queryResults\": [\n        {\n            \"id\": \"productSearch\",\n            \"meta\": {\n                \"qTime\": 5,\n                \"noOfResults\": 10,\n                \"totalResultsFound\": 209,\n                \"typeOfSearch\": \"WILDCARD_AND\",\n                \"offset\": 0,\n                \"debuggingInformation\": {},\n                \"notificationCode\": 1,\n                \"searchedTerm\": \"*\",\n                \"apiKey\": \"klevu-156925593843210765\",\n                \"isPersonalised\": false\n            },\n            \"records\": [\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Stellar Solar Jacket\",\n                    \"id\": \"31366456541246\",\n                    \"brand\": \"KSD\"\n                },\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Lando Gym Jacket\",\n                    \"id\": \"31366487441470\",\n                    \"brand\": \"KSD\"\n                },\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Ingrid Running Jacket\",\n                    \"id\": \"31366455590974\",\n                    \"brand\": \"MNH\"\n                },\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Josie Yoga Jacket\",\n                    \"id\": \"31366456279102\",\n                    \"brand\": \"KSD\"\n                },\n                {\n                    \"size\": \"Medium\",\n                    \"name\": \"Hollister Backyard Sweatshirt\",\n                    \"id\": \"31366493438014\",\n                    \"brand\": \"MNH\"\n                },\n                {\n                    \"size\": \"Medium\",\n                    \"name\": \"Erika Running Short\",\n                    \"id\": \"31366431014974\",\n                    \"brand\": \"KSD\"\n                },\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Stellar Solar Jacket\",\n                    \"id\": \"31366456672318\",\n                    \"brand\": \"MNH\"\n                },\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Neve Studio Dance Jacket\",\n                    \"id\": \"31366453461054\",\n                    \"brand\": \"MNH\"\n                },\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Augusta Pullover Jacket\",\n                    \"id\": \"31366455820350\",\n                    \"brand\": \"KSD\"\n                },\n                {\n                    \"size\": \"Small\",\n                    \"name\": \"Augusta Pullover Jacket\",\n                    \"id\": \"31366455951422\",\n                    \"brand\": \"MNH\"\n                }\n            ],\n            \"filters\": []\n        }\n    ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "3XlvmT855lGkJOht0nPXg"
  },
  "examples": {
    "languages": [
      {
        "id": "jSU7DlYyJ_eUh63YSP682",
        "code": "{\n  \"recordQueries\": [\n    {\n      \"settings\": {\n        \"customANDQuery\": \"(size:\\\"Small\\\" OR size:\\\"Medium\\\") AND -(brand:\\\"KKE\\\")\",\n        \"fields\": [\n          \"id\",\n          \"name\",\n          \"size\",\n          \"brand\"\n        ],\n        \"limit\": 10\n      },\n      \"id\": \"productSearch\"\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}",
        "language": "json",
        "customLabel": "Request Body (JSON)"
      },
      {
        "id": "8Yg33Te4JzfoWp5yEbmJh",
        "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'POST',\n  CURLOPT_POSTFIELDS =>'{\n  \"recordQueries\": [\n    {\n      \"settings\": {\n        \"customANDQuery\": \"(size:\\\\\"Small\\\\\" OR size:\\\\\"Medium\\\\\") AND -(brand:\\\\\"KKE\\\\\")\",\n        \"fields\": [\n          \"id\",\n          \"name\",\n          \"size\",\n          \"brand\"\n        ],\n        \"limit\": 10\n      },\n      \"id\": \"productSearch\"\n    }\n  ],\n  \"context\": {\n    \"apiKeys\": [\n      \"klevu-156925593843210765\"\n    ]\n  }\n}',\n  CURLOPT_HTTPHEADER => array(\n    'Content-Type: application/json'\n  ),\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n",
        "language": "php",
        "customLabel": ""
      },
      {
        "id": "WCDgTsSqAXfiwklk2V174",
        "code": "var data = JSON.stringify({\"recordQueries\":[{\"settings\":{\"customANDQuery\":\"(size:\\\"Small\\\" OR size:\\\"Medium\\\") AND -(brand:\\\"KKE\\\")\",\"fields\":[\"id\",\"name\",\"size\",\"brand\"],\"limit\":10},\"id\":\"productSearch\"}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}});\n\nvar xhr = new XMLHttpRequest();\nxhr.withCredentials = false;\n\nxhr.addEventListener(\"readystatechange\", function() {\n  if(this.readyState === 4) {\n    console.log(this.responseText);\n  }\n});\n\nxhr.open(\"POST\", \"https://eucs15v2.ksearchnet.com/cs/v2/search\");\nxhr.setRequestHeader(\"Content-Type\", \"application/json\");\n\nxhr.send(data);",
        "language": "javascript",
        "customLabel": ""
      },
      {
        "id": "nPW0NIJe-j5R9I5W4BGN0",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n  \\\"recordQueries\\\": [\\n    {\\n      \\\"settings\\\": {\\n        \\\"customANDQuery\\\": \\\"(size:\\\\\\\"Small\\\\\\\" OR size:\\\\\\\"Medium\\\\\\\") AND -(brand:\\\\\\\"KKE\\\\\\\")\\\",\\n        \\\"fields\\\": [\\n          \\\"id\\\",\\n          \\\"name\\\",\\n          \\\"size\\\",\\n          \\\"brand\\\"\\n        ],\\n        \\\"limit\\\": 10\\n      },\\n      \\\"id\\\": \\\"productSearch\\\"\\n    }\\n  ],\\n  \\\"context\\\": {\\n    \\\"apiKeys\\\": [\\n      \\\"klevu-156925593843210765\\\"\\n    ]\\n  }\\n}\");\nRequest request = new Request.Builder()\n  .url(\"https://eucs15v2.ksearchnet.com/cs/v2/search\")\n  .method(\"POST\", body)\n  .addHeader(\"Content-Type\", \"application/json\")\n  .build();\nResponse response = client.newCall(request).execute();",
        "language": "java",
        "customLabel": ""
      },
      {
        "id": "0Ih7nieKhHFMl7CRY51j_",
        "code": "var request = require('request');\nvar options = {\n  'method': 'POST',\n  'url': 'https://eucs15v2.ksearchnet.com/cs/v2/search',\n  'headers': {\n    'Content-Type': 'application/json'\n  },\n  body: JSON.stringify({\"recordQueries\":[{\"settings\":{\"customANDQuery\":\"(size:\\\"Small\\\" OR size:\\\"Medium\\\") AND -(brand:\\\"KKE\\\")\",\"fields\":[\"id\",\"name\",\"size\",\"brand\"],\"limit\":10},\"id\":\"productSearch\"}],\"context\":{\"apiKeys\":[\"klevu-156925593843210765\"]}})\n\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "language": "nodejs",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "WCDgTsSqAXfiwklk2V174"
  },
  "description": "This is an example how to merchandise search results using APIs.",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "custom-queries-1",
  "legacyHash": "8x7UcQWyUDkGGLq-BFw_q"
}
```
:::

### Try it here!

[...]
